Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# libXFCcore/xfc/glib/main.hh File Reference

A C++ interface for the GLib main event loop. More...

`#include <xfc/trackable.hh>`
`#include <xfc/glib/iochannel.hh>`
`#include <vector>`
`#include <xfc/glib/inline/main.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::PollFD
    A C++ wrapper for the GPollFD. More...
- class Xfc::G::MainContext
    A C++ interface for the GMainContext. More...
- class Xfc::G::MainLoop
    A C++ interface for the GMainLoop. More...
- class Xfc::G::Source
    A GSource C++ interface. More...
- class Xfc::G::ChildWatchSource
    A child watch GSource C++ interface. More...
- class Xfc::G::TimeoutSource
    A timeout GSource C++ interface. More...
- class Xfc::G::IdleSource
    A idle GSource C++ interface. More...
- class Xfc::G::IOSource
    A input/output GSource C++ interface. More...
- class Xfc::G::ChildWatchSignal
    A child watch signal class. More...
- class Xfc::G::TimeoutSignal
    A Timeout signal class. More...
- class Xfc::G::IdleSignal
    Idle signal class. More...
- class Xfc::G::IOSignal
    IO signal class. More...

## Time Methods

- void get_current_time (TimeVal &timeval)
    Equivalent to the UNIX gettimeofday() function, but portable.

## Enumerations

- enum {
  PRIORITY_HIGH = G_PRIORITY_HIGH,
  PRIORITY_DEFAULT = G_PRIORITY_DEFAULT,
  PRIORITY_HIGH_IDLE = G_PRIORITY_HIGH_IDLE,
  PRIORITY_DEFAULT_IDLE = G_PRIORITY_DEFAULT_IDLE,
  PRIORITY_LOW = G_PRIORITY_LOW
  }

## Variables

- ChildWatchSignal child_watch_signal
    A namespace instance of the ChildWatchSignal for connecting slots to be invoked periodically.
- TimeoutSignal timeout_signal
    A namespace instance of the TimeoutSignal for connecting slots to be invoked periodically.
- IdleSignal idle_signal
    A namespace instance of IdleSignal for connecting slots to be invoked when the event loop is idle.
- IOSignal io_signal
    A namespace instance of IOSignal for connecting slots to be invoked when a condition is met.

## Detailed Description

A C++ interface for the GLib main event loop.

Provides G::MainContext, G::MainLoop and G::Source.

## Enumeration Type Documentation

anonymous enum

Enumeration values:

  PRIORITY_HIGH | Use this for high priority event sources; It is not used within GLib or GTK+ (value -100).
  PRIORITY_DEFAULT | Use this for default priority event sources; In GLib this priority is used when adding timeout functions with g_timeout_add(); In GDK this priority is used for events from the X server (value 0).

  PRIORITY_HIGH_IDLE

  Use this for high priority idle functions (value 100); GTK+ uses G_PRIORITY_HIGH_IDLE + 10 for window resizes and G_PRIORITY_HIGH_IDLE + 20 for window redraws, to ensure that any pending resizes are processed before any pending redraws, so that widgets are not redrawn twice unnecessarily; Note that you will interfere with GTK+ if you use a priority above G_PRIORITY_HIGH_IDLE + 10 (that is, GTK_PRIORITY_RESIZE).

  PRIORITY_DEFAULT_IDLE | Use this for default priority idle functions; In GLib this priority is used when adding idle functions with g_idle_add() (value 200).
  PRIORITY_LOW | Use this for very low priority background tasks; It is not used within GLib or GTK+ (value 300).

## Function Documentation

void get_current_time | ( | TimeVal & | timeval | ) |

Equivalent to the UNIX gettimeofday() function, but portable.

Parameters:

  | timeval | A TimeVal object in which to store the current time.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3